Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api
Interface IJoinCondition

All Known Implementing Classes:
  JoinCondition

    public interface IJoinCondition

This interface describes a specified conditional expression which returns a Boolean value, and used for Joint Data Set only.

Field Summary
`static int` | `OP_EQ` The integer value stands for an equality operator.

Method Summary
`IScriptExpression` | `getLeftExpression()` This method returns the IScriptExpression instance which will be evaluated against the data set which servers as left operand of a joint.
`int` | `getOperator()` This method returns the integer standing for a compare operator.
`IScriptExpression` | `getRightExpression()` This method returns the IScriptExpression instance which will be evaluated against the data set which servers as right operand of a joint.

Field Detail

### OP_EQ

    static final int OP_EQ

  The integer value stands for an equality operator. It is evaluated to true if the result of first expression is equal to that of second expression

  See Also:
    Constant Field Values

Method Detail

### getLeftExpression

    IScriptExpression getLeftExpression()

  This method returns the IScriptExpression instance which will be evaluated against the data set which servers as left operand of a joint.

  Returns:
    the expression servers as first operand of a joint.

### getRightExpression

    IScriptExpression getRightExpression()

  This method returns the IScriptExpression instance which will be evaluated against the data set which servers as right operand of a joint.

  Returns:
    the expression servers as second operand of a joint.

### getOperator

    int getOperator()

  This method returns the integer standing for a compare operator. All supported compare operators are defined in this interface.

  Returns:
    The operator specified using one of the OP_xxx enumeration values defined in this interface.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.